<?php

namespace App\Exports;

use App\Models\Guru;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class GuruExport implements FromCollection, WithHeadings
{
public function collection()
{
    $defaultPassword = 'passworddefault';

    return Guru::select('id', 'user_id', 'nip', 'nama', 'jenis_kelamin', 'jabatan')
        ->with('user:id,email')
        ->get()
        ->map(function($guru) use ($defaultPassword) {
            return [
                'nip' => $guru->nip,
                'nama' => $guru->nama,
                'jenis_kelamin' => $guru->jenis_kelamin,
                'jabatan' => $guru->jabatan,
                'email' => $guru->user ? $guru->user->email : '',
                'password' => $defaultPassword,
            ];
        });
}


public function headings(): array
{
    return [
        'NIP',
        'Nama',
        'Jenis Kelamin',
        'Jabatan',
        'Email',
        'Password',
    ];
}


}
