<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class AdminProfileController extends Controller
{
    public function edit()
    {
        $admin = Auth::user();
        return view('admin.profile.edit', compact('admin'));
    }

    public function update(Request $request)
    {
        $admin = Auth::user();

        // Validasi input
        $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|unique:users,email,' . $admin->id,
            'password' => 'nullable|min:6',
        ]);

        // Update nama dan email
        $admin->name = $request->name;
        $admin->email = $request->email;

        // Jika password diisi, update juga
        if ($request->filled('password')) {
            $admin->password = Hash::make($request->password);
        }

        // Simpan perubahan
        $admin->save();

        // Redirect kembali ke halaman edit dengan notifikasi sukses
        return redirect()->route('admin.profile.edit')
                         ->with('success', 'Profil berhasil diperbarui.');
    }
}
