<?php

namespace App\Http\Controllers\Guru;

use App\Http\Controllers\Controller;
use App\Models\SoalEssay;
use App\Models\Ujian;
use Illuminate\Http\Request;

class SoalEssayController extends Controller
{
    public function index($ujian_id)
    {
        $ujian = Ujian::with('soalEssay')->findOrFail($ujian_id);
        $soalEssay = SoalEssay::where('ujian_id', $ujian_id)->paginate(10); // Atau jumlah item per halaman sesuai kebutuhan

        return view('guru.soal_essay.index', compact('ujian', 'soalEssay'));
    }

    public function create($ujian_id)
    {
        $ujian = Ujian::findOrFail($ujian_id);
        return view('guru.soal_essay.create', compact('ujian'));
    }

    public function store(Request $request, $ujian_id)
    {
        $request->validate([
            'pertanyaan' => 'required|string',
        ]);

        SoalEssay::create([
            'ujian_id' => $ujian_id,
            'pertanyaan' => $request->pertanyaan,
        ]);

        return redirect()->route('guru.ujian.soal_essay', $ujian_id)->with('success', 'Soal berhasil ditambahkan.');
    }
    public function edit($ujian_id, $soal_id)
    {
        // Mencari soal berdasarkan ID soal dan ID ujian
        $soal = SoalEssay::where('ujian_id', $ujian_id)->findOrFail($soal_id);
        return view('guru.soal_essay.edit', compact('soal', 'ujian_id'));
    }

public function update(Request $request, $ujian_id, $soal_id)
{
    $request->validate([
        'pertanyaan' => 'required|string',
    ]);

    $soal = SoalEssay::where('ujian_id', $ujian_id)->findOrFail($soal_id);
    $soal->update([
        'pertanyaan' => $request->pertanyaan,
    ]);

    return redirect()->route('guru.ujian.soal_essay', $ujian_id)->with('success', 'Soal berhasil diperbarui.');
}


    public function destroy($ujian_id, $soal_id)
    {
        // Mencari soal berdasarkan ID soal dan ID ujian
        $soal = SoalEssay::where('ujian_id', $ujian_id)->findOrFail($soal_id);

        // Menghapus soal
        $soal->delete();

        return redirect()
            ->route('guru.ujian.soal_essay', $ujian_id)
            ->with('success', 'Soal PG berhasil dihapus.');
    }
    
}

