<?php

namespace App\Http\Controllers\Siswa;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Models\GuruMapel;

class ModulController extends Controller
{
public function index()
{
    $user = Auth::user();

    if (!$user->siswa || !$user->siswa->kelas_id) {
        return 'Siswa belum memiliki data kelas';
    }

    $kelasId = $user->siswa->kelas_id;

    $mapelTersedia = GuruMapel::with('mapel')
        ->where('kelas_id', $kelasId)
        ->get()
        ->pluck('mapel')
        ->unique('id')
        ->values();

    return view('siswa.pelajaran.index', compact('mapelTersedia'));
}
}
