<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AngketSiswa extends Model
{
    use HasFactory;

    protected $table = 'angket_siswa';

    protected $fillable = [
        'siswa_id',
        'nama', // nama siswa
        'jenis_kelamin', // jenis kelamin siswa
        'kelas_id',
        'cita_cita',
        'rencana_setelah_lulus',
        'paket_pertama_id',
        'paket_kedua_id',
        'paket_ketiga_id',
        'paket_final_id', // Pastikan ini ada di kolom database Anda
    ];

    // --- PERBAIKAN DI SINI: Ubah nama metode relasi ke camelCase ---

    // Relasi ke Paket Mapel pilihan pertama
    public function paketPertama() // DIUBAH dari paket_pertama()
    {
        return $this->belongsTo(PaketMapel::class, 'paket_pertama_id');
    }

    // Relasi ke Paket Mapel pilihan kedua
    public function paketKedua() // DIUBAH dari paket_kedua()
    {
        return $this->belongsTo(PaketMapel::class, 'paket_kedua_id');
    }

    // Relasi ke Paket Mapel pilihan ketiga
    public function paketKetiga() // DIUBAH dari paket_ketiga()
    {
        return $this->belongsTo(PaketMapel::class, 'paket_ketiga_id');
    }

    // Relasi ke siswa
    public function siswa()
    {
        return $this->belongsTo(Siswa::class, 'siswa_id');
    }

    // Relasi ke kelas
    public function kelas()
    {
        return $this->belongsTo(Kelas::class, 'kelas_id');
    }

    // Relasi ke paket final
    public function paketFinal() // DIUBAH dari paket_final()
    {
        return $this->belongsTo(PaketMapel::class, 'paket_final_id');
    }
}