<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TahunAjaran extends Model
{
    protected $table = 'tahun_ajaran';

    // Kolom yang bisa diisi massal
    protected $fillable = [
        'tahun',     // varchar(20), contoh: "2024/2025"
        'semester',  // enum('ganjil', 'genap')
        'status'     // enum('aktif', 'tidak aktif', 'lulus')
    ];

    // Jika ingin menggunakan enum sebagai konstanta di model, bisa tambahkan ini (opsional):
    const STATUS_AKTIF = 'aktif';
    const STATUS_TIDAK_AKTIF = 'tidak aktif';
    const STATUS_LULUS = 'lulus';

    const SEMESTER_GANJIL = 'ganjil';
    const SEMESTER_GENAP = 'genap';

      public function kelas()
    {
        return $this->hasMany(Kelas::class, 'tahun_ajaran_id');
    }
}

