<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TugasSiswa extends Model
{
    protected $table = 'tugas_siswa'; // nama tabel di database

    protected $fillable = ['tugas_id', 'siswa_id', 'jawaban', 'file', 'nilai', 'catatan_guru'];

    // Jika kamu pakai timestamps, pastikan ada kolom created_at dan updated_at di tabel
    public $timestamps = true;

    // Relasi ke tugas
    public function tugas()
    {
        return $this->belongsTo(Tugas::class);
    }

    // Relasi ke siswa
    public function siswa()
    {
        return $this->belongsTo(Siswa::class);
    }
}
