<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       Schema::create('hasil_ujians', function (Blueprint $table) {
    $table->id();
    $table->foreignId('ujian_id')->constrained()->onDelete('cascade');
    $table->foreignId('siswa_id')->constrained('siswa')->onDelete('cascade');
    $table->integer('nilai_pg')->default(0); // Nilai pilihan ganda
    $table->integer('nilai_essay')->default(0); // Nilai essay
    $table->integer('nilai_total')->default(0);
    $table->timestamp('waktu_selesai')->nullable();
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('hasil_ujians');
    }
};
