<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('angket_siswa', function (Blueprint $table) {
    $table->id();
    $table->unsignedBigInteger('siswa_id')->unique(); // Satu siswa hanya bisa sekali
    $table->string('nama');
    $table->enum('jenis_kelamin', ['Laki-laki', 'Perempuan']);
    $table->string('kelas');
    $table->string('cita_cita');
    $table->string('rencana_setelah_lulus'); // Bisa diedit admin
    $table->unsignedBigInteger('paket_mapel_id');
    $table->timestamps();

    $table->foreign('siswa_id')->references('id')->on('siswa')->onDelete('cascade');
    $table->foreign('paket_mapel_id')->references('id')->on('paket_mapel');
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('angket_siswa');
    }
};
