<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tugas_siswa', function (Blueprint $table) {
    $table->id();
    $table->foreignId('tugas_id')->constrained()->onDelete('cascade');
    $table->foreignId('siswa_id')->constrained('siswa')->onDelete('cascade'); // pastikan tabel siswa ada
    $table->string('file')->nullable();
    $table->text('catatan')->nullable(); // catatan dari guru
    $table->decimal('nilai', 5, 2)->nullable(); // nilai tugas
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tugas_siswa');
    }
};
