@extends('admin.layouts.app')

@section('title', 'Edit Hasil Pemilihan Mapel')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Edit Hasil Pemilihan Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.hasil.index') }}">Hasil Pemilihan Mapel</a></div>
      <div class="breadcrumb-item active">Edit</div>
    </div>
  </div>

  <div class="section-body">
    {{-- Alert notifikasi sukses --}}
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Alert notifikasi info --}}
    @if (session('info'))
      <div class="alert alert-info alert-dismissible fade show" role="alert">
        {{ session('info') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Alert notifikasi error --}}
    @if (session('error'))
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session('error') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Alert error validasi --}}
    @if ($errors->any())
      <div class="alert alert-danger">
        <ul class="mb-0">
          @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
          @endforeach
        </ul>
      </div>
    @endif

    <form action="{{ route('admin.hasil.update', $siswa->id) }}" method="POST">
      @csrf
      @method('PUT')

      <div class="card">
        <div class="card-body">
          {{-- Form isian tetap seperti sebelumnya --}}
          <div class="form-group mb-3">
            <label>Nama Siswa</label>
            <input type="text" class="form-control" value="{{ $siswa->nama }}" readonly>
          </div>

          <div class="form-group mb-3">
            <label>Paket Pilihan Pertama <span class="text-danger">*</span></label>
            <select name="paket_pertama_id" class="form-control" required>
              <option value="">-- Pilih Paket --</option>
              @foreach ($paketMapels as $paket)
                <option value="{{ $paket->id }}" {{ (old('paket_pertama_id', $siswa->angket->paket_pertama_id ?? '') == $paket->id) ? 'selected' : '' }}>
                  {{ $paket->nama_paket }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group mb-3">
            <label>Paket Pilihan Kedua</label>
            <select name="paket_kedua_id" class="form-control">
              <option value="">-- Pilih Paket --</option>
              @foreach ($paketMapels as $paket)
                <option value="{{ $paket->id }}" {{ (old('paket_kedua_id', $siswa->angket->paket_kedua_id ?? '') == $paket->id) ? 'selected' : '' }}>
                  {{ $paket->nama_paket }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group mb-3">
            <label>Paket Pilihan Ketiga</label>
            <select name="paket_ketiga_id" class="form-control">
              <option value="">-- Pilih Paket --</option>
              @foreach ($paketMapels as $paket)
                <option value="{{ $paket->id }}" {{ (old('paket_ketiga_id', $siswa->angket->paket_ketiga_id ?? '') == $paket->id) ? 'selected' : '' }}>
                  {{ $paket->nama_paket }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group mb-3">
            <label>Cita-cita</label>
            <textarea name="cita_cita" class="form-control" rows="2">{{ old('cita_cita', $siswa->angket->cita_cita ?? '') }}</textarea>
          </div>

          <div class="form-group mb-3">
            <label>Rencana Setelah Lulus</label>
            <textarea name="rencana_setelah_lulus" class="form-control" rows="2">{{ old('rencana_setelah_lulus', $siswa->angket->rencana_setelah_lulus ?? '') }}</textarea>
          </div>

          <div class="form-group mb-3">
            <label>Paket Final</label>
            <select name="paket_final_id" class="form-control">
              <option value="">-- Pilih Paket Final --</option>
              @foreach ($paketMapels as $paket)
                <option value="{{ $paket->id }}" {{ (old('paket_final_id', $siswa->angket->paket_final_id ?? '') == $paket->id) ? 'selected' : '' }}>
                  {{ $paket->nama_paket }}
                </option>
              @endforeach
            </select>
            <small class="form-text text-muted">Pilih paket final jika ingin override hasil perhitungan otomatis.</small>
          </div>

          <button type="submit" class="btn btn-primary">Simpan Perubahan</button>
          <a href="{{ route('admin.hasil.index') }}" class="btn btn-secondary">Batal</a>
        </div>
      </div>
    </form>
  </div>
</section>
@endsection
