@extends('admin.layouts.app')

@section('title', 'Hasil Perhitungan Angket')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Hasil Perhitungan Angket</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Hasil Perhitungan</div>
    </div>
  </div>

  <div class="section-body">
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    @foreach ($finalAssignments as $paketId => $data)
    <div class="card mb-4">
      <div class="card-header">
        <h4>Paket: {{ $data['paket']->nama_paket ?? '-' }}</h4>
      </div>
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-striped table-bordered mb-0">
            <thead class="thead-light">
              <tr>
                <th>Nama Siswa</th>
                <th>Kelas</th>
                <th>Ranking</th>
                <th>Cita-cita</th>
                <th>Rencana Setelah Lulus</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($data['siswas'] as $item)
              <tr>
                <td>{{ $item['siswa']->nama ?? '-' }}</td>
                <td>{{ $item['siswa']->kelas->nama_kelas ?? '-' }}</td>
                <td>{{ $item['ranking'] ?? '-' }}</td>
                <td>{{ $item['cita_cita'] ?? '-' }}</td>
                <td>{{ $item['rencana_setelah_lulus'] ?? '-' }}</td>
              </tr>
              @empty
              <tr>
                <td colspan="5" class="text-center">Belum ada siswa di paket ini</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
    @endforeach

    {{-- Tampilkan siswa yang tidak mendapat paket --}}
    @if ($unassignedStudents->count())
    <div class="card">
      <div class="card-header bg-warning text-white">
        <h4>Siswa yang Tidak Mendapat Paket</h4>
      </div>
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-bordered mb-0">
            <thead>
              <tr>
                <th>Nama</th>
                <th>Kelas</th>
                <th>Pilihan 1</th>
                <th>Pilihan 2</th>
                <th>Pilihan 3</th>
              </tr>
            </thead>
            <tbody>
              @foreach ($unassignedStudents as $siswa)
              <tr>
                <td>{{ $siswa->nama }}</td>
                <td>{{ $siswa->kelas->nama_kelas ?? '-' }}</td>
                <td>{{ $siswa->angket->paketPertama->nama_paket ?? '-' }}</td>
                <td>{{ $siswa->angket->paketKedua->nama_paket ?? '-' }}</td>
                <td>{{ $siswa->angket->paketKetiga->nama_paket ?? '-' }}</td>
              </tr>
              @endforeach
            </tbody>
          </table>
        </div>
      </div>
    </div>
    @endif

  </div>
</section>
@endsection
