@extends('admin.layouts.app')

@section('title', 'Hasil Pemilihan Mapel')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Hasil Pemilihan Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Hasil Pemilihan Mapel</div>
    </div>
  </div>

  <div class="section-body">
    {{-- Alert Success --}}
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Tombol Navigasi --}}
    <div class="mb-4">
      <div class="btn-group" role="group" aria-label="Navigasi Angket">
        <a href="{{ route('admin.info.index') }}" class="btn btn-outline-secondary">
          <i class="fas fa-info-circle"></i> Info Angket
        </a>
        <a href="{{ route('admin.paket-mapel.index') }}" class="btn btn-outline-secondary">
          <i class="fas fa-book"></i> Paket Mapel
        </a>
        <a href="{{ route('admin.prodi-lanjutan.index') }}" class="btn btn-outline-secondary">
          <i class="fas fa-graduation-cap"></i> Prodi Lanjutan
        </a>
        <a href="{{ route('admin.h') }}" class="btn btn-primary">
          <i class="fas fa-calculator"></i> Hitung Hasil 
        </a>
      </div>
    </div>

    {{-- Tabel Hasil --}}
    <div class="card">
      <div class="card-header">
        <h4>Data Hasil Pemilihan</h4>
      </div>
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-bordered table-striped table-hover mb-0 text-nowrap">
            <thead class="thead-light">
              <tr>
                <th>Nama</th>
                <th>Kelas</th>
                <th>Paket Mapel Dipilih</th>
                <th>Cita-cita</th>
                <th>Rencana Setelah Lulus</th>
                <th>Paket Final</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($siswas as $siswa)
              <tr>
                <td>{{ $siswa->nama }}</td>
                <td>{{ ($siswa->kelas->nama_kelas ?? '-') . ' ' . ($siswa->kelas->tingkat ?? '-') }}</td>
                <td>
                  <ul class="list-unstyled mb-0">
                    {{ $siswa->angket->paketPertama->nama_paket ?? '-' }}
<li>{{ $siswa->angket->paketKedua->nama_paket ?? '-' }}</li>
<li>{{ $siswa->angket->paketKetiga->nama_paket ?? '-' }}</li>
<li>{{ $siswa->angket->paketFinal->nama_paket ?? '-' }}</li>
                  </ul>
                </td>
                <td>{{ $siswa->angket->cita_cita ?? '-' }}</td>
                <td>{{ $siswa->angket->rencana_setelah_lulus ?? '-' }}</td>
                <td>{{ $siswa->angket->paketFinal->nama_paket ?? '-' }}</td>
                <td>
                  <a href="{{ route('admin.hasil.edit', $siswa->id) }}" class="btn btn-sm btn-primary" title="Edit">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('admin.hasil.destroy', $siswa->id) }}" method="POST" class="d-inline" onsubmit="return confirm('Yakin hapus pilihan siswa ini?')">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-sm btn-danger" title="Hapus">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
              @empty
              <tr>
                <td colspan="7" class="text-center">Belum ada data</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
        @if ($siswas->hasPages())
  <div class="card-footer text-center">
    {{ $siswas->links('vendor.pagination.bootstrap-4') }}
  </div>
@endif

      </div>
    </div>
  </div>
</section>
@endsection
