@extends('admin.layouts.app')

@section('title', 'Data Info Angket')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>info angket</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.hasil.index') }}">angket</a></div>
    </div>
  </div>

  <div class="section-body">

    {{-- Notifikasi Sukses --}}
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <i class="fas fa-check-circle"></i> {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Notifikasi Error --}}
    @if ($errors->any())
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <i class="fas fa-exclamation-triangle"></i> {{ $errors->first() }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    <div class="card">
      <div class="card-body">
        <a href="{{ route('admin.info.create') }}" class="btn btn-primary mb-3">
          <i class="fas fa-plus"></i> Tambah Info
        </a>

        <div class="table-responsive">
          <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>Tata Cara</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($infos as $info)
              <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{!! $info->tata_cara !!}</td>
                <td>
                  <a href="{{ route('admin.info.edit', $info->id) }}" class="btn btn-sm btn-warning" title="Edit Info">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('admin.info.destroy', $info->id) }}" method="POST" class="d-inline" onsubmit="return confirm('Yakin hapus?')">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-sm btn-danger" title="Hapus Info">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
              @empty
              <tr>
                <td colspan="3" class="text-center">Tidak ada data</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>

      </div>
    </div>
  </div>
</section>
@endsection
