@extends('admin.layouts.app')

@section('title', 'Data Paket Mapel')

@section('content')
<section class="section">
    <div class="section-header">
    <h1>Tambah Paket Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.hasil.index') }}">angket</a></div>
    </div>
     </div>

  <div class="section-body">

    {{-- Notifikasi Sukses --}}
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <i class="fas fa-check-circle"></i> {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Notifikasi Error --}}
    @if ($errors->any())
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <i class="fas fa-exclamation-triangle"></i> {{ $errors->first() }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    <a href="{{ route('admin.paket-mapel.create') }}" class="btn btn-primary mb-3">
      <i class="fas fa-plus"></i> Tambah Paket
    </a>

    <div class="card">
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>Nama Paket</th>
                <th>Deskripsi</th>
                <th>Kuota</th>
                <th>Mapel</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($pakets as $paket)
              <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $paket->nama_paket }}</td>
                <td>{{ $paket->deskripsi }}</td>
                <td>{{ $paket->kuota }}</td>
                <td>
                  @foreach ($paket->mapels as $mapel)
                    <span class="badge badge-purple text-white">{{ $mapel->nama_mapel }}</span>
                  @endforeach
                </td>
                <td>
                  <a href="{{ route('admin.paket-mapel.edit', $paket->id) }}" class="btn btn-sm btn-warning" title="Edit Paket">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('admin.paket-mapel.destroy', $paket->id) }}" method="POST" class="d-inline" onsubmit="return confirm('Yakin ingin menghapus paket ini?')">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-sm btn-danger" title="Hapus Paket">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
              @empty
              <tr>
                <td colspan="6" class="text-center">Tidak ada data paket</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection

@section('styles')
<style>
  /* Badge ungu dengan tulisan putih */
  .badge-purple {
    background-color: #d63384; /* Ungu Stisla / Bootstrap purple */
    color: white;
  }
</style>
@endsection
