@extends('admin.layouts.app')

@section('title', 'Data Prodi Lanjutan')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Tambah Paket Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.hasil.index') }}">angket</a></div>
    </div>
  </div>

  <div class="section-body">

    {{-- Notifikasi Sukses --}}
    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <i class="fas fa-check-circle"></i> {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    {{-- Notifikasi Error --}}
    @if ($errors->any())
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <i class="fas fa-exclamation-triangle"></i> {{ $errors->first() }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    <a href="{{ route('admin.prodi-lanjutan.create') }}" class="btn btn-primary mb-3">
      <i class="fas fa-plus"></i> Tambah Paket
    </a>

    <div class="card">
      <div class="card-body p-0">
        <table class="table table-bordered mb-0">
          <thead>
            <tr>
              <th style="width: 50px;">#</th>
              <th>Nama</th>
              <th>Mapel Terkait</th>
              <th style="width: 150px;">Aksi</th>
            </tr>
          </thead>
          <tbody>
            @forelse ($prodis as $prodi)
              <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $prodi->nama }}</td>
                <td>
                  @foreach ($prodi->mapels as $mapel)
                    <span class="badge badge-purple text-white">{{ $mapel->nama_mapel }}</span>
                  @endforeach
                </td>
                <td>
                  <a href="{{ route('admin.prodi-lanjutan.edit', $prodi->id) }}" class="btn btn-sm btn-warning" title="Edit Prodi">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('admin.prodi-lanjutan.destroy', $prodi->id) }}" method="POST" class="d-inline" onsubmit="return confirm('Yakin hapus?')">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-sm btn-danger" title="Hapus Prodi">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
            @empty
              <tr>
                <td colspan="4" class="text-center">Belum ada data</td>
              </tr>
            @endforelse
          </tbody>
        </table>
      </div>
    </div>
  </div>
</section>
@endsection

@section('styles')
<style>
  /* Badge ungu dengan tulisan putih, warna Stisla pink */
  .badge-purple {
    background-color: #d63384;
    color: white;
  }
</style>
@endsection

