@extends('admin.layouts.app')

@section('content')
<section class="section">
   <div class="section-header">
     <h1>Dahboard</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a>
  </div>
    </div>
   </div>

<div class="row">
    {{-- Card jumlah data --}}
    <div class="col-lg-3 col-md-6 col-sm-6 col-12">
      <div class="card card-statistic-1">
        <div class="card-icon bg-primary">
          <i class="fas fa-user-graduate"></i>
        </div>
        <div class="card-wrap">
          <div class="card-header">
            <h4>Jumlah Siswa</h4>
          </div>
          <div class="card-body">
            {{ $jumlahSiswa }}
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6 col-12">
      <div class="card card-statistic-1">
        <div class="card-icon bg-success">
          <i class="fas fa-chalkboard-teacher"></i>
        </div>
        <div class="card-wrap">
          <div class="card-header">
            <h4>Jumlah Guru</h4>
          </div>
          <div class="card-body">
            {{ $jumlahGuru }}
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6 col-12">
      <div class="card card-statistic-1">
        <div class="card-icon bg-warning">
          <i class="fas fa-book"></i>
        </div>
        <div class="card-wrap">
          <div class="card-header">
            <h4>Jumlah Mapel</h4>
          </div>
          <div class="card-body">
            {{ $jumlahMapel }}
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6 col-12">
      <div class="card card-statistic-1">
        <div class="card-icon bg-danger">
          <i class="fas fa-building"></i>
        </div>
        <div class="card-wrap">
          <div class="card-header">
            <h4>Jumlah Kelas</h4>
          </div>
          <div class="card-body">
            {{ $jumlahKelas }}
          </div>
        </div>
      </div>
    </div>
</div>

{{-- Section User Aktif --}}
<div class="section-body mt-4">
    <h2 class="section-title">User Aktif</h2>

    <div class="card mb-4">
        <div class="card-header">
            <h4>List User Aktif (Guru & Siswa)</h4>
        </div>
        <div class="card-body p-0">
            <div class="table-responsive">
                <table class="table table-striped mb-0">
                    <thead>
                        <tr>
                            <th>Email</th>
                            <th>Nama</th>
                            <th>Role</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($activeUsers as $user)
                        <tr>
                            <td>{{ $user->email }}</td>
                            <td>{{ $user->nama }}</td>
                            <td>{{ ucfirst($user->role) }}</td>
                        </tr>
                        @endforeach
                        @if($activeUsers->isEmpty())
                        <tr>
                            <td colspan="3" class="text-center">Tidak ada user aktif</td>
                        </tr>
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

</section>
   
@endsection
