@extends('admin.layouts.app')

@section('title', 'Edit Guru Mengajar')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Edit Guru Mengajar</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.guru-mapel.index') }}">Data Guru Mengajar</a></div>
      <div class="breadcrumb-item active">Edit Guru Mengajar</div>
    </div>
  </div>

  <div class="section-body">

    @if (session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    @if (session('error'))
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session('error') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    <div class="card" style="max-width:600px;">
      <div class="card-body">
        <form action="{{ route('admin.guru-mapel.update', $data->id) }}" method="POST">
          @csrf 
          @method('PUT')

          <div class="form-group">
            <label>Kelas</label>
            <select name="kelas_id" class="form-control" required>
              @foreach($kelas as $k)
                <option value="{{ $k->id }}" {{ $data->kelas_id == $k->id ? 'selected' : '' }}>
                  {{ $k->nama_kelas }}{{ $k->tingkat }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label>Mapel</label>
            <select name="mapel_id" class="form-control" required>
              @foreach($mapel as $m)
                <option value="{{ $m->id }}" {{ $data->mapel_id == $m->id ? 'selected' : '' }}>
                  {{ $m->nama_mapel }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label>Guru</label>
            <select name="guru_id" class="form-control" required>
              @foreach($guru as $g)
                <option value="{{ $g->id }}" {{ $data->guru_id == $g->id ? 'selected' : '' }}>
                  {{ $g->nama }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label>Hari</label>
            <select name="hari" class="form-control" required>
              <option value="">-- Pilih Hari --</option>
              @foreach(['Senin','Selasa','Rabu','Kamis','Jumat','Sabtu','Minggu'] as $hari)
                <option value="{{ $hari }}" {{ $data->hari == $hari ? 'selected' : '' }}>{{ $hari }}</option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label>Jam Mulai</label>
            <input type="time" name="jam_mulai" class="form-control" value="{{ $data->jam_mulai }}" required>
          </div>

          <div class="form-group">
            <label>Jam Selesai</label>
            <input type="time" name="jam_selesai" class="form-control" value="{{ $data->jam_selesai }}" required>
            @if ($errors->has('jadwal'))
              <small class="text-danger">{{ $errors->first('jadwal') }}</small>
            @endif
          </div>

          @if ($errors->has('jadwal'))
            <div class="alert alert-danger">
              {{ $errors->first('jadwal') }}
            </div>
          @endif

          <div class="form-group">
            <button class="btn btn-primary" type="submit">Update</button>
            <a href="{{ route('admin.guru-mapel.index') }}" class="btn btn-secondary">Batal</a>
          </div>

          @if ($errors->has('error'))
            <div class="alert alert-danger mt-2">
              {{ $errors->first('error') }}
            </div>
          @endif
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
