@extends('admin.layouts.app')

@section('title', 'Data Kelas')

@section('content')
<section class="section">
    <div class="section-header">
        <h1>Data Kelas</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
            <div class="breadcrumb-item active">Data kelas</div>
        </div>
        <div class="section-header-button">
            <a href="{{ route('admin.kelas.create') }}" class="btn btn-primary">+ Tambah Data</a>
        </div>
    </div>

    {{-- Notifikasi sukses --}}
    @if (session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    @endif

    <div class="section-body">
        <div class="row">
            @forelse ($data as $item)
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 mb-4">
                <div class="card shadow-sm border-top border-purple" style="border-top-width: 4px !important;">
                    <div class="card-body text-center">
                        <div class="d-flex justify-content-center align-items-center mb-2">
                            <h6 class="mb-0 mr-2">{{ $item->nama_kelas }}</h6>
                            <span class="text-muted">|</span>
                            <h6 class="mb-0 ml-2">{{ $item->tingkat }}</h6>
                        </div>
                        <div class="text-muted mb-1">{{ $item->jurusan }}</div>

                        {{-- Tampilkan Tahun Ajaran --}}
                        <div class="text-info mb-3">
                            <small><strong>Tahun Ajaran:</strong> {{ $item->tahunAjaran ? $item->tahunAjaran->tahun : '-' }}</small>
                        </div>

                        {{-- Tombol lihat siswa --}}
                        <a href="{{ route('admin.kelas.show', $item->id) }}" class="btn btn-primary btn-sm mb-2">Lihat siswa</a>

                        {{-- Tombol edit dan hapus --}}
                        <div class="d-flex justify-content-center">
                            <a href="{{ route('admin.kelas.edit', $item->id) }}" class="btn btn-warning btn-sm mr-2">
                                <i class="fas fa-edit"></i>
                            </a>
                            <form action="{{ route('admin.kelas.destroy', $item->id) }}" method="POST" onsubmit="return confirm('Yakin ingin menghapus data ini?')">
                                @csrf
                                @method('DELETE')
                                <button class="btn btn-danger btn-sm">
                                    <i class="fas fa-trash"></i>
                                </button>
                            </form>
                        </div>

                    </div>
                </div>
            </div>
            @empty
            <div class="col-12">
                <div class="alert alert-info text-center">
                    Belum ada data kelas.
                </div>
            </div>
            @endforelse
        </div>
    </div>
</section>
@endsection
