@extends('admin.layouts.app')

@section('title', "Data Siswa Kelas {$kelas->nama_kelas} {$kelas->tingkat}- " . optional($kelas->tahunAjaran)->tahun . " " . optional($kelas->tahunAjaran)->semester)

@section('content')
<section class="section">
  <div class="section-header">
    <h1>
      Data Siswa Kelas {{ $kelas->nama_kelas }} {{ $kelas->tingkat }}
      @if($kelas->tahunAjaran)
        - {{ $kelas->tahunAjaran->tahun }} {{ $kelas->tahunAjaran->semester }}
      @else
        - Tahun ajaran belum ditentukan
      @endif
    </h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.kelas.index') }}">Data kelas</a></div>
      <div class="breadcrumb-item active">
        Kelas {{ $kelas->nama_kelas }} {{ $kelas->tingkat }}
        @if($kelas->tahunAjaran)
          - {{ $kelas->tahunAjaran->tahun }} {{ $kelas->tahunAjaran->semester }}
        @else
          - Tahun ajaran belum ditentukan
        @endif
      </div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <div class="mb-3">
          <a href="{{ route('admin.siswa.create', $kelas->id) }}" class="btn btn-success btn-sm">
            <i class="fas fa-user-plus"></i> Tambah Siswa
          </a>
        </div>

        <div class="table-responsive">
          <table class="table table-bordered table-striped">
            <thead>
              <tr>
                <th>No</th>
                <th>NISN</th>
                <th>Nama Lengkap</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($kelas->siswa as $item)
              <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $item->nisn }}</td>
                <td>{{ $item->nama }}</td>
              </tr>
              @empty
              <tr>
                <td colspan="3" class="text-center">Belum ada data siswa.</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
