@extends('admin.layouts.app')

@section('title', 'Tambah Kelas Mapel')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Tambah Kelas Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.kelas_mapel.index') }}">Kelas Mapel</a></div>
      <div class="breadcrumb-item active">Tambah</div>
    </div>
  </div>

  {{-- Notifikasi --}}
  @if (session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
      {{ session('success') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  @if ($errors->any())
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      <strong>Terjadi kesalahan!</strong> Periksa kembali data yang Anda input.
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <form action="{{ route('admin.kelas_mapel.store') }}" method="POST">
          @csrf

          <div class="form-group">
            <label for="kelas-select">Kelas</label>
            <select name="kelas_id" class="form-control" required id="kelas-select">
              <option value="">Pilih Kelas</option>
              @foreach($kelas as $k)
                <option value="{{ $k->id }}">{{ $k->nama_kelas }} (Tingkat {{ $k->tingkat }})</option>
              @endforeach
            </select>
          </div>

          <div class="form-group mt-3">
            <label for="mapel-select">Mata Pelajaran</label>
            <select name="mapel_id" class="form-control" required id="mapel-select">
              <option value="">Pilih Mapel</option>
              @foreach($mapel as $m)
                <option value="{{ $m->id }}">{{ $m->nama_mapel }}</option>
              @endforeach
            </select>
          </div>

          <div class="form-group mt-3">
            <label for="tahun-ajaran-select">Tahun Ajaran</label>
            <select name="tahun_ajaran_id" class="form-control" required id="tahun-ajaran-select">
              <option value="">Pilih Tahun Ajaran</option>
              @foreach($tahunAjaran as $t)
                <option value="{{ $t->id }}">{{ $t->tahun }}</option>
              @endforeach
            </select>
          </div>

          <button type="submit" class="btn btn-success mt-4">
            <i class="fas fa-save"></i> Simpan
          </button>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection

@push('scripts')
<script>
  const used = @json($used);

  document.addEventListener('DOMContentLoaded', function () {
    const kelasSelect = document.getElementById('kelas-select');
    const mapelSelect = document.getElementById('mapel-select');

    kelasSelect.addEventListener('change', function () {
      const selectedKelasId = this.value;
      const usedMapelIds = used[selectedKelasId] || [];

      [...mapelSelect.options].forEach(option => {
        option.hidden = false;
        if (usedMapelIds.includes(parseInt(option.value))) {
          option.hidden = true;
        }
      });

      mapelSelect.value = ''; // reset pilihan mapel
    });
  });
</script>
@endpush
