@extends('admin.layouts.app')

@section('title', 'Edit Kelas Mapel')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Edit Kelas Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.kelas_mapel.index') }}">Kelas Mapel</a></div>
      <div class="breadcrumb-item active">Edit</div>
    </div>
  </div>

  {{-- Notifikasi --}}
  @if (session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
      {{ session('success') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  @if ($errors->any())
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      <strong>Terjadi kesalahan!</strong> Periksa kembali data yang Anda input.
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <form action="{{ route('admin.kelas_mapel.update', $data->id) }}" method="POST">
          @csrf
          @method('PUT')

          <div class="form-group">
            <label for="kelas_id">Kelas</label>
            <select name="kelas_id" class="form-control" required>
              @foreach ($kelas as $k)
                <option value="{{ $k->id }}" {{ $data->kelas_id == $k->id ? 'selected' : '' }}>
                  {{ $k->nama_kelas }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group mt-3">
            <label for="mapel_id">Mata Pelajaran</label>
            <select name="mapel_id" class="form-control" required>
              @foreach ($mapel as $m)
                <option value="{{ $m->id }}" {{ $data->mapel_id == $m->id ? 'selected' : '' }}>
                  {{ $m->nama_mapel }}
                </option>
              @endforeach
            </select>
          </div>

          <div class="form-group mt-3">
            <label for="tahun_ajaran_id">Tahun Ajaran</label>
            <select name="tahun_ajaran_id" class="form-control" required>
              @foreach ($tahunAjaran as $t)
                <option value="{{ $t->id }}" {{ $data->tahun_ajaran_id == $t->id ? 'selected' : '' }}>
                  {{ $t->nama }}
                </option>
              @endforeach
            </select>
          </div>

          <button type="submit" class="btn btn-primary mt-4">
            <i class="fas fa-save"></i> Update
          </button>
          <a href="{{ route('admin.kelas_mapel.index') }}" class="btn btn-secondary mt-4">Batal</a>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
