@extends('admin.layouts.app')

@section('title', 'Tambah Mata Pelajaran')

@section('page_title', 'Tambah Mata Pelajaran')

@section('breadcrumb')
  <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
  <div class="breadcrumb-item"><a href="{{ route('admin.mapel.index') }}">Data Mata Pelajaran</a></div>
  <div class="breadcrumb-item active">Tambah</div>
@endsection

@section('content')

<section class="section">
  <div class="section-header">
    <h1>Tambah Mata Pelajaran</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.mapel.index') }}">Data Mata Pelajaran</a></div>
      <div class="breadcrumb-item active">Tambah</div>
    </div>
  </div>

  {{-- Notifikasi --}}
  @if (session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
      {{ session('success') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  @if ($errors->any())
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      {{ $errors->first() }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  <div class="section-body">
    <div class="card" style="max-width:700px;">
      <div class="card-header">
        <h4>Form Tambah Mata Pelajaran</h4>
      </div>
      <div class="card-body">
        <form action="{{ route('admin.mapel.store') }}" method="POST">
          @csrf

          <div class="form-group">
            <label for="nama_mapel">Nama Mata Pelajaran</label>
            <input type="text" name="nama_mapel" id="nama_mapel" class="form-control" value="{{ old('nama_mapel') }}" required>
          </div>

          <div class="form-group mb-0">
            <button type="submit" class="btn btn-primary">Simpan</button>
            <a href="{{ route('admin.mapel.index') }}" class="btn btn-secondary">Batal</a>
          </div>

        </form>
      </div>
    </div>
  </div>
</section>

@endsection
