@extends('admin.layouts.app')

@section('title', 'Data Mata Pelajaran')

@section('breadcrumb')
  <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
  <div class="breadcrumb-item active">Data Mata Pelajaran</div>
@endsection

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Data Mata Pelajaran</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Data Mata Pelajaran</div>
    </div>
    <div class="section-header-button">
      <a href="{{ route('admin.mapel.create') }}" class="btn btn-primary">+ Tambah Data</a>
    </div>
  </div>

  {{-- Notifikasi --}}
  @if (session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
      {{ session('success') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  @if ($errors->any())
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      {{ $errors->first() }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  @endif

  <div class="section-body">
    <div class="card">
      <div class="card-header">
        <h4>Daftar Mata Pelajaran</h4>
        <div class="card-header-form">
          <form>
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search">
              <div class="input-group-btn">
                <button class="btn btn-primary"><i class="fas fa-search"></i></button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-striped table-md">
            <thead>
              <tr>
                <th>#</th>
                <th>ID</th>
                <th>Nama Mata Pelajaran</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse ($data as $index => $mapel)
              <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $mapel->id }}</td>
                <td>{{ $mapel->nama_mapel }}</td>
                <td>
                  <a href="{{ route('admin.mapel.edit', $mapel->id) }}" class="btn btn-warning btn-sm">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('admin.mapel.destroy', $mapel->id) }}" method="POST" class="d-inline" onsubmit="return confirm('Yakin ingin menghapus data ini?')">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-danger btn-sm">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
              @empty
              <tr>
                <td colspan="4" class="text-center">Belum ada data mata pelajaran.</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
