@extends('admin.layouts.app')

@section('title', 'Tambah Tahun Ajaran')

@section('page_title', 'Tambah Tahun Ajaran')

@section('breadcrumb')
  <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
  <div class="breadcrumb-item"><a href="{{ route('admin.tahun_ajaran.index') }}">Data Tahun Ajaran</a></div>
  <div class="breadcrumb-item active">Tambah</div>
@endsection

@section('content')

<section class="section">
  <div class="section-header">
    <h1>Tambah Tahun Ajaran</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.tahun_ajaran.index') }}">Data Tahun Ajaran</a></div>
      <div class="breadcrumb-item active">Tambah</div>
    </div>
  </div>

  <div class="section-body">

    @if (session('success'))
      <div class="alert alert-success alert-dismissible show fade">
        <div class="alert-body">
          {{ session('success') }}
          <button class="close" data-dismiss="alert">
            <span>&times;</span>
          </button>
        </div>
      </div>
    @endif

    @if ($errors->any())
      <div class="alert alert-danger alert-dismissible show fade">
        <div class="alert-body">
          {{ $errors->first() }}
          <button class="close" data-dismiss="alert">
            <span>&times;</span>
          </button>
        </div>
      </div>
    @endif

    <div class="card" style="max-width:700px;">
      <div class="card-header">
        <h4>Form Tambah Tahun Ajaran</h4>
      </div>
      <div class="card-body">
        <form action="{{ route('admin.tahun_ajaran.store') }}" method="POST">
          @csrf

          <div class="form-group">
            <label for="tahun">Tahun</label>
            <input type="text" name="tahun" id="tahun" class="form-control @error('tahun') is-invalid @enderror" value="{{ old('tahun') }}" placeholder="Misal: 2023/2024" required>
            @error('tahun')
              <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>

          <div class="form-group">
            <label for="semester">Semester</label>
            <select name="semester" id="semester" class="form-control @error('semester') is-invalid @enderror" required>
              <option value="">-- Pilih Semester --</option>
              <option value="ganjil" {{ old('semester') == 'ganjil' ? 'selected' : '' }}>Ganjil</option>
              <option value="genap" {{ old('semester') == 'genap' ? 'selected' : '' }}>Genap</option>
            </select>
            @error('semester')
              <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>

          <div class="form-group">
            <label for="status">Status</label>
            <select name="status" id="status" class="form-control @error('status') is-invalid @enderror" required>
              <option value="">-- Pilih Status --</option>
              <option value="aktif" {{ old('status') == 'aktif' ? 'selected' : '' }}>Aktif</option>
              <option value="tidak aktif" {{ old('status') == 'tidak aktif' ? 'selected' : '' }}>Tidak Aktif</option>
              <option value="lulus" {{ old('status') == 'lulus' ? 'selected' : '' }}>Lulus</option>
            </select>
            @error('status')
              <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>

          <div class="form-group mb-0">
            <button type="submit" class="btn btn-primary">Simpan</button>
            <a href="{{ route('admin.tahun_ajaran.index') }}" class="btn btn-secondary">Batal</a>
          </div>

        </form>
      </div>
    </div>
  </div>
</section>

@endsection
