@extends('admin.layouts.app')

@section('title', 'Edit User')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Edit User</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">Users</a></div>
      <div class="breadcrumb-item active">Edit User</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        
        @if ($errors->any())
          <div class="alert alert-danger">
            <ul class="mb-0">
              @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
              @endforeach
            </ul>
          </div>
        @endif

        <form action="{{ route('admin.users.update', $userDetail->id) }}" method="POST" autocomplete="off" class="mx-auto" style="max-width: 600px;">
          @csrf
          @method('PUT')

          <input type="hidden" name="level" value="{{ $level }}">
          <input type="hidden" name="user_id" value="{{ $user->id }}">

          <div class="form-group mb-3">
            <label for="email">Email</label>
            <input 
              type="email" 
              id="email" 
              name="email" 
              class="form-control" 
              value="{{ old('email', $user->email) }}" 
              required>
          </div>

          {{-- Nama diambil dari tabel guru/siswa, hanya read-only --}}
          <div class="form-group mb-3">
            <label for="nama">Nama Lengkap</label>
            <input 
              type="text" 
              id="nama" 
              class="form-control" 
              value="{{ old('nama', $userDetail->nama) }}" 
              readonly>
          </div>

          <div class="form-group mb-3">
            <label for="level">Level</label>
            <input 
              type="text" 
              id="level" 
              class="form-control" 
              value="{{ ucfirst($level) }}" 
              readonly>
          </div>

          <div class="form-group mb-3">
            <label for="password">Ubah Password (Opsional)</label>
            <input 
              type="password" 
              id="password" 
              name="password" 
              class="form-control" 
              autocomplete="new-password" 
              placeholder="Kosongkan jika tidak ingin mengubah password">
          </div>

          <button type="submit" class="btn btn-primary">Update</button>
          <a href="{{ route('admin.users.index') }}" class="btn btn-secondary">Batal</a>
        </form>

      </div>
    </div>
  </div>
</section>
@endsection
