@extends('admin.layouts.app')

@section('title', 'Data User Sistem')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Data Users</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Data Users</div>
    </div>
  </div>

  @if (session('success'))
    <div class="alert alert-success">{{ session('success') }}</div>
  @endif

  @if (session('error'))
    <div class="alert alert-danger">{{ session('error') }}</div>
  @endif

  <div class="section-body">
    <div class="card">
      <div class="card-header">
        <h4>Daftar User</h4>
        <div class="card-header-form">
          <form method="GET" action="{{ route('admin.users.index') }}">
            <div class="input-group">
              <select name="level" class="form-control" onchange="this.form.submit()">
                <option value="">Semua</option>
                <option value="guru" {{ request('level') == 'guru' ? 'selected' : '' }}>Guru</option>
                <option value="siswa" {{ request('level') == 'siswa' ? 'selected' : '' }}>Siswa</option>
              </select>
              <div class="input-group-btn ml-2">
                <button class="btn btn-primary" type="submit">
                  <i class="fas fa-filter"></i> Filter
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>

      <div class="card-body p-0">
        <div class="table-responsive">
          <table class="table table-striped table-md">
            <thead>
              <tr>
                <th>#</th>
                <th>Username</th>
                <th>Nama Lengkap</th>
                <th>Level</th>
                <th>Aktifasi</th>
                <th>edit</th>
                <th>Hapus</th>
              </tr>
            </thead>
<tbody>
  @forelse($users as $index => $user)
    <tr>
     <td>{{ $users->firstItem() + $loop->index }}</td>
      <td>{{ $user->username }}</td>
      <td>{{ $user->nama }}</td>
      <td>{{ ucfirst($user->level) }}</td>
      <td class="text-center">
        <form action="{{ route('admin.users.toggle', $user->id) }}" method="POST">
          @csrf
          @method('PATCH')
          <input type="hidden" name="level" value="{{ $user->level }}">
          <button class="btn btn-sm {{ $user->is_active ? 'btn-success' : 'btn-secondary' }}" title="Toggle Aktivasi">
            <i class="fas fa-power-off"></i> {{ $user->is_active ? 'Aktif' : 'Nonaktif' }}
          </button>
        </form>
      </td>
      <td>
   <a href="{{ route('admin.users.edit', ['id' => $user->id, 'level' => $user->level]) }}" class="btn btn-warning btn-sm" title="Edit User">
  <i class="fas fa-edit"></i> Edit
</a>

      </td>
      <td>
        <form action="{{ route('admin.users.destroy', $user->id) }}" method="POST" onsubmit="return confirm('Yakin ingin menghapus user ini?')">
          @csrf
          @method('DELETE')
          <input type="hidden" name="level" value="{{ $user->level }}">
          <button class="btn btn-danger btn-sm" title="Hapus User">
            <i class="fas fa-trash-alt"></i> Hapus
          </button>
        </form>
      </td>
    </tr>
  @empty
    <tr>
      <td colspan="7" class="text-center">Tidak ada data</td>
    </tr>
  @endforelse
</tbody>

          </table>
          <div class="card-footer text-center">
  {{ $users->links('vendor.pagination.bootstrap-4') }}
</div>

        </div>
      </div>
    </div>
  </div>
</section>
@endsection
