<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>Login &mdash; Stisla</title>

  <link rel="stylesheet" href="{{ asset('User/assets/modules/bootstrap/css/bootstrap.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/fontawesome/css/all.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/bootstrap-social/bootstrap-social.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/css/style.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/css/components.css') }}">
  <style>
    body {
      background: linear-gradient(to bottom right, #6f42c1, #d63384);
    }
    .card {
      border-radius: 20px;
    }
    .btn-purple {
      background-color: #6f42c1;
      color: white;
    }
    .btn-purple:hover {
      background-color: #59359d;
    }
  </style>
</head>

<body>
  <div id="app">
    <section class="section">
      <div class="container mt-5">
        <div class="row">
          <div class="col-12 col-sm-8 offset-sm-2 col-md-6 offset-md-3 col-lg-6 offset-lg-3 col-xl-4 offset-xl-4">
            <div class="login-brand">
              <img src="{{ asset('User/assets/img/logo.jpeg') }}" alt="logo" width="100" class="shadow-ligh">
            </div>

            <div class="card card-primary">
              <div class="card-header"><h4>Login</h4></div>

              <div class="card-body">
                @if (session('status'))
                    <div class="alert alert-success">
                        {{ session('status') }}
                    </div>
                @endif

                <form method="POST" action="{{ route('login') }}" class="needs-validation" novalidate="">
  @csrf

  <div class="form-group">
    <label for="email">Email</label>
    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
        name="email" value="{{ old('email') }}" required autofocus>
    <div class="invalid-feedback">
      Please fill in your email
    </div>
    @error('email')
      <div class="text-danger small">{{ $message }}</div>
    @enderror
  </div>

  <div class="form-group">
    <div class="d-block">
      <label for="password" class="control-label">Password</label>
      @if (Route::has('password.request'))
        <div class="float-right">
          <a href="{{ route('password.request') }}" class="text-small">
            Forgot Password?
          </a>
        </div>
      @endif
    </div>
    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
        name="password" required>
    <div class="invalid-feedback">
      Please fill in your password
    </div>
    @error('password')
      <div class="text-danger small">{{ $message }}</div>
    @enderror
  </div>

  <div class="form-group">
    <div class="custom-control custom-checkbox">
      <input type="checkbox" name="remember" class="custom-control-input" id="remember-me">
      <label class="custom-control-label" for="remember-me">Remember Me</label>
    </div>
  </div>

  <div class="form-group">
    <button type="submit" class="btn btn-primary btn-lg btn-block">
      Login
    </button>
  </div>
</form>

              </div>
            </div>

            <div class="mt-3 text-center">
              <a href="{{ route('password.request') }}" style="color: #d63384;">Lost Password?</a> |
              <a href="{{ url('/') }}" style="color: #6f42c1;">Back to Home</a>
            </div>

            <div class="simple-footer">
              Copyright &copy; Stisla 2018
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <!-- Scripts -->
  <script src="{{ asset('User/assets/modules/jquery.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/popper.js') }}"></script>
  <script src="{{ asset('User/assets/modules/bootstrap/js/bootstrap.min.js') }}"></script>
  <script src="{{ asset('User/assets/js/stisla.js') }}"></script>
  <script src="{{ asset('User/assets/js/scripts.js') }}"></script>
  <script src="{{ asset('User/assets/js/custom.js') }}"></script>
</body>
</html>
