@extends('guru.layouts.app')

@section('content')
<section class="section">
  {{-- Breadcrumb --}}
  <div class="section-header">
    <h1>Edit Isi Materi</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.materi.index') }}">Materi</a></div>
      <div class="breadcrumb-item active">Edit Isi</div>
    </div>
  </div>

  <div class="section-body">
    <div class="row justify-content-center">
      <div class="col-12 col-md-10 col-lg-10">
        <div class="card">
          <div class="card-header">
            <h4>Form Edit Isi Materi: {{ $materi->judul }}</h4>
          </div>

          <div class="card-body">
            @if ($errors->any())
              <div class="alert alert-danger">
                <ul class="mb-0">
                  @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                  @endforeach
                </ul>
              </div>
            @endif

            <form action="{{ route('guru.materi.updateIsi', $materi->id) }}" method="POST" enctype="multipart/form-data">
              @csrf
              @method('PUT')

              {{-- Judul Materi --}}
              <div class="form-group">
                <label for="judul">Judul Materi</label>
                <input type="text" class="form-control" value="{{ $materi->judul }}" disabled>
              </div>

              {{-- Isi Materi --}}
              <div class="form-group">
                <label for="isi">Isi Materi</label>
                <textarea name="isi" class="form-control summernote" rows="10">{{ old('isi', $materi->isi) }}</textarea>
              </div>

              {{-- Upload File --}}
              <div class="form-group">
                <label for="file">Upload File (PDF, Gambar, Video)</label>
                <input type="file" name="file" class="form-control-file">
                <small class="form-text text-muted">
                  Maksimal 20MB. Format: pdf, docx, jpg, png, mp4, mov.
                </small>
              </div>

              {{-- Tombol Simpan --}}
              <div class="form-group text-right mt-4">
                <a href="{{ route('guru.materi.index') }}" class="btn btn-secondary mr-2">
                  <i class="fas fa-arrow-left"></i> Kembali
                </a>
                <button type="submit" class="btn btn-primary">
                  <i class="fas fa-save"></i> Simpan Perubahan
                </button>
              </div>

            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
