@extends('guru.layouts.app')

@section('title', 'Daftar Tugas untuk Dinilai')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Daftar Tugas untuk Dinilai</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Tugas untuk Dinilai</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-header d-flex justify-content-between align-items-center">
        <h4>Filter Kelas</h4>
        @if(request('kelas_id'))
          <a href="{{ route('guru.tugas.grafik', ['kelas_id' => request('kelas_id')]) }}" class="btn btn-success">
            <i class="fas fa-chart-line"></i> Lihat Grafik Nilai
          </a>
        @endif
      </div>
      <div class="card-body">
        <form method="GET" action="{{ route('guru.penilaian.index') }}" class="form-inline mb-3">
          <div class="form-group mr-2">
            <select name="kelas_id" class="form-control">
              <option value="">-- Semua Kelas --</option>
              @foreach($kelasList as $kelas)
                <option value="{{ $kelas->id }}" {{ request('kelas_id') == $kelas->id ? 'selected' : '' }}>
                  {{ $kelas->nama_kelas }} {{ $kelas->tingkat }}
                </option>
              @endforeach
            </select>
          </div>
          <button type="submit" class="btn btn-primary">Filter</button>
        </form>

        <div class="table-responsive">
          <table class="table table-bordered table-striped mb-0">
            <thead>
              <tr>
                <th>Judul Tugas</th>
                <th>Mata Pelajaran</th>
                <th>Jumlah Pengumpulan</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse($tugasList as $tugas)
                <tr>
                  <td>{{ $tugas->judul }}</td>
                  <td>{{ $tugas->materi->judul ?? '-' }}</td>
                  <td>{{ $tugas->pengumpulan_count }}</td>
                  <td>
                    <a href="{{ route('guru.tugas.penilaian', ['tugas' => $tugas->id, 'kelas_id' => request('kelas_id')]) }}">
                      <i class="fas fa-eye"></i> Lihat Penilaian
                    </a>
                  </td>
                </tr>
              @empty
                <tr>
                  <td colspan="4" class="text-center text-muted">Belum ada tugas yang harus dinilai.</td>
                </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
