@extends('guru.layouts.app')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Profil Saya</h1>
  </div>

  <div class="section-body">
    <div class="row mt-sm-4">
      <div class="col-12 col-md-12 col-lg-12">
        <div class="card">
          <form method="POST" action="{{ route('guru.profile.update') }}" class="needs-validation" novalidate>
            @csrf
            <div class="card-header">
              <h4>Edit Profil</h4>
            </div>
            <div class="card-body">
              <div class="row">
                {{-- First Name --}}
                <div class="form-group col-md-6 col-12">
                  <label>Nama Depan</label>
                  <input type="text" name="first_name" class="form-control" value="{{ explode(' ', $user->name)[0] }}" required>
                  <div class="invalid-feedback">
                    Harap isi nama depan
                  </div>
                </div>

                {{-- Last Name --}}
                <div class="form-group col-md-6 col-12">
                  <label>Nama Belakang</label>
                  <input type="text" name="last_name" class="form-control" value="{{ explode(' ', $user->name)[1] ?? '' }}">
                </div>
              </div>

              <div class="row">
                {{-- Email --}}
                <div class="form-group col-md-6 col-12">
                  <label>Email</label>
                  <input type="email" name="email" class="form-control" value="{{ $user->email }}" required>
                  <div class="invalid-feedback">
                    Harap isi email yang valid
                  </div>
                </div>

                {{-- NIP --}}
                <div class="form-group col-md-6 col-12">
                  <label>NIP</label>
                  <input type="text" name="nip" class="form-control" value="{{ $guru->nip }}">
                </div>
              </div>

              <div class="row">
                {{-- Jenis Kelamin --}}
                <div class="form-group col-md-6 col-12">
                  <label>Jenis Kelamin</label>
                  <select name="jenis_kelamin" class="form-control" required>
                    <option value="L" {{ $guru->jenis_kelamin == 'L' ? 'selected' : '' }}>Laki-laki</option>
                    <option value="P" {{ $guru->jenis_kelamin == 'P' ? 'selected' : '' }}>Perempuan</option>
                  </select>
                </div>

                {{-- Jabatan --}}
                <div class="form-group col-md-6 col-12">
                  <label>Jabatan</label>
                  <input type="text" name="jabatan" class="form-control" value="{{ $guru->jabatan }}">
                </div>
              </div>
            </div>
            <div class="card-footer text-right">
              <button class="btn btn-primary">
                <i class="fas fa-save"></i> Simpan Perubahan
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
