@extends('guru.layouts.app')

@section('title', 'List Soal Essay')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>List Soal Essay</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.ujian.index') }}">Daftar Ujian</a></div>
      <div class="breadcrumb-item active">Soal Essay</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <p><strong>Judul :</strong> {{ $ujian->judul }}</p>
        <p><strong>Waktu :</strong> {{ $ujian->waktu }} Menit</p>

        <div class="d-flex justify-content-end mb-3 gap-2">
          <a href="{{ route('guru.ujian.soal_essay.create', $ujian->id) }}" class="btn btn-primary">+ Essay</a>
        </div>

        <table class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>No</th>
              <th>Pertanyaan</th>
              <th>Tgl Buat</th>
              <th>Edit</th>
              <th>Hapus</th>
            </tr>
          </thead>
          <tbody>
            @forelse ($soalEssay as $index => $soal)
              <tr>
                <td>{{ $loop->iteration + ($soalEssay->currentPage() - 1) * $soalEssay->perPage() }}</td>
                <td>{{ $soal->pertanyaan }}</td>
                <td>{{ \Carbon\Carbon::parse($soal->created_at)->translatedFormat('d F Y') }}</td>
                <td>
                  <a href="{{ route('guru.ujian.soal_essay.edit', ['ujian' => $soal->ujian_id, 'soal' => $soal->id]) }}" class="btn btn-warning btn-sm">✏️</a>
                </td>
                <td>
                  <form action="{{ route('guru.ujian.soal_essay.destroy', ['ujian' => $soal->ujian_id, 'soal' => $soal->id]) }}" method="POST" onsubmit="return confirm('Yakin ingin menghapus soal ini?')">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger btn-sm">🗑️</button>
                  </form>
                </td>
              </tr>
            @empty
              <tr>
                <td colspan="5" class="text-center">Belum ada soal essay.</td>
              </tr>
            @endforelse
          </tbody>
        </table>

        <div class="mt-3">
          {{ $soalEssay->links() }}
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
