@extends('guru.layouts.app')

@section('title', 'Tambah Soal PG')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Tambah Soal Pilihan Ganda</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.ujian.index') }}">Ujian</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.ujian.soal_pg', $ujian->id) }}">Soal PG</a></div>
      <div class="breadcrumb-item active">Tambah</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-header">
        <h4>Form Tambah Soal PG - {{ $ujian->judul }}</h4>
      </div>

      <div class="card-body">
        <form action="{{ route('guru.ujian.soal_pg.store', $ujian->id) }}" method="POST">
          @csrf

          <div class="mb-3">
            <label>Pertanyaan</label>
            <textarea name="pertanyaan" class="form-control" required>{{ old('pertanyaan') }}</textarea>
          </div>

          @foreach (['a','b','c','d'] as $o)
          <div class="mb-3">
            <label>Opsi {{ strtoupper($o) }}</label>
            <input
              type="text"
              name="opsi_{{ $o }}"
              class="form-control"
              value="{{ old('opsi_'.$o) }}"
              required
            >
          </div>
          @endforeach

          <div class="mb-3">
            <label>Jawaban Benar</label>
            <select name="jawaban_benar" class="form-control" required>
              <option value="">-- Pilih --</option>
              @foreach (['a','b','c','d'] as $o)
              <option value="{{ $o }}" {{ old('jawaban_benar') == $o ? 'selected' : '' }}>
                {{ strtoupper($o) }}
              </option>
              @endforeach
            </select>
          </div>

          <div class="form-group text-right">
            <button class="btn btn-success"><i class="fas fa-save"></i> Simpan</button>
            <a href="{{ route('guru.ujian.soal_pg', $ujian->id) }}" class="btn btn-secondary">Batal</a>
          </div>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
