@extends('guru.layouts.app')

@section('content')
<section class="section">
  {{-- Breadcrumb --}}
      <div class="section-header">
    <h1>Daftar Tugas</h1>
    <div class="section-header-breadcrumb">
         <div class="section-header-button ml-auto">
      <a href="{{ route('guru.tugas.create') }}" class="btn btn-primary">
        <i class="fas fa-plus"></i> Tambah Tugas
      </a>
    </div>
    </div>
  </div>


  <div class="section-body">
    
    @if(session('success'))
      <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <div class="card">
      <div class="card-header">
          <h4>List tugas</h4>
        </div>
      <div class="card-body">
        @if($tugasList->count() > 0)
        <table class="table table-striped">
          <thead>
            <tr>
              <th>Judul</th>
              <th>Materi</th>
              <th>Kelas</th>
              <th>Aksi</th>
            </tr>
          </thead>
          <tbody>
            @foreach($tugasList as $tugas)
            <tr>
              <td>{{ $tugas->judul }}</td>
              <td>{{ $tugas->materi->judul ?? '-' }}</td>
              <td>
                @foreach($tugas->kelas as $kelas)
                  <span class="badge badge-info">{{ $kelas->nama_kelas }}{{ $kelas->tingkat }}</span>
                @endforeach
              </td>
              <td>
                <a href="{{ route('guru.tugas.show', $tugas->id) }}" class="btn btn-info btn-sm" title="Lihat">
                  <i class="fas fa-eye"></i>
                </a>
                <a href="{{ route('guru.tugas.edit', $tugas->id) }}" class="btn btn-warning btn-sm" title="Edit">
                  <i class="fas fa-edit"></i>
                </a>
                <form action="{{ route('guru.tugas.destroy', $tugas->id) }}" method="POST" style="display:inline-block" onsubmit="return confirm('Yakin hapus tugas ini?')">
                  @csrf
                  @method('DELETE')
                  <button type="submit" class="btn btn-danger btn-sm" title="Hapus">
                    <i class="fas fa-trash"></i>
                  </button>
                </form>
              </td>
            </tr>
            @endforeach
          </tbody>
        </table>
        @else
          <p>Belum ada tugas yang dibuat.</p>
        @endif
      </div>
    </div>
  </div>
</section>
@endsection
