@extends('guru.layouts.app')

@section('title', 'Penilaian Tugas')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Penilaian Tugas</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Daftar Penilaian</div>
    </div>
  </div>

  <div class="section-body">
    {{-- Jangan pakai <div class="container"> agar full lebar card --}}
    <div class="card">
      <div class="card-header d-flex justify-content-between align-items-center">
        <h4>Penilaian Tugas: {{ $tugas->judul }}</h4>
        <a href="{{ route('guru.penilaian.index') }}" class="btn btn-info btn-sm">
          <i class="fas fa-arrow-left"></i> Kembali
        </a>
      </div>
      <div class="card-body">
        @if($tugas->pengumpulan->count() > 0)
        <div class="table-responsive">
          <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th>Nama Siswa</th>
                <th>Jawaban</th>
                <th>File</th>
                <th>Nilai</th>
                <th>Catatan</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @foreach($tugas->pengumpulan as $pengumpulan)
              <tr>
                <td>{{ $pengumpulan->siswa->nama }}</td>
                <td>{{ $pengumpulan->jawaban }}</td>
                <td>
                  @if($pengumpulan->file)
                  <a href="{{ asset('storage/' . $pengumpulan->file) }}" target="_blank" class="btn btn-info btn-sm">
                    <i class="fas fa-file"></i> Lihat
                  </a>
                  @else
                  <span class="text-muted">Tidak ada</span>
                  @endif
                </td>
                <td>
                  <form action="{{ route('guru.tugas.nilai.update', $pengumpulan->id) }}" method="POST" class="d-flex align-items-center gap-2">
                    @csrf
                    @method('PUT')
                    <input type="number" name="nilai" value="{{ old('nilai', $pengumpulan->nilai) }}" min="0" max="100" class="form-control form-control-sm" style="width: 80px;" required>
                </td>
                <td>
                    <input type="text" name="catatan" value="{{ old('catatan', $pengumpulan->catatan) }}" class="form-control form-control-sm" placeholder="Catatan...">
                </td>
                <td>
                    <button type="submit" class="btn btn-primary btn-sm">
                      <i class="fas fa-save"></i> Simpan
                    </button>
                  </form>
                </td>
              </tr>
              @endforeach
            </tbody>
          </table>
        </div>
        @else
        <p class="text-muted">Belum ada penilaian untuk tugas ini.</p>
        @endif
      </div>
    </div>
  </div>
</section>
@endsection
