@extends('guru.layouts.app')

@section('content')
<section class="section">
    <div class="section-header">
    <h1>Detail Tugas</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.tugas.index', $tugas->materi_id) }}">tugas</a></div>
      
      <div class="breadcrumb-item active">Hasil Ujian</div>
    </div>
  </div>
  <div class="section-body">
     
  <div class="card">
    
      <div class="card-header">
        <h4>{{ $tugas->judul }}</h4>
      </div>
      <div class="card-body">
        <div class="mb-4">
          <strong>Deskripsi:</strong>
          <div>{!! $tugas->deskripsi !!}</div>
        </div>

        @if($tugas->file)
        <div class="mb-4">
          <strong>File:</strong>
          <p>
            <a href="{{ asset('storage/' . $tugas->file) }}" target="_blank" class="btn btn-info btn-sm">
              <i class="fas fa-file-download"></i> Lihat / Unduh File
            </a>
          </p>
        </div>
        @endif

        @if($tugas->deadline)
        <div class="mb-4">
          <strong>Deadline:</strong>
          <p>{{ \Carbon\Carbon::parse($tugas->deadline)->translatedFormat('l, d F Y H:i') }}</p>
        </div>
        @endif
      </div>
    </div>

    {{-- Card Penilaian Tugas --}}
    <div class="card">
      <div class="card-header">
        <h4>Penilaian Tugas</h4>
      </div>
      <div class="card-body">
        @if($tugas->pengumpulan->count() > 0)
          <div class="table-responsive">
            <table class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>Nama Siswa</th>
                  <th>Jawaban</th>
                  <th>File</th>
                  <th>Nilai</th>
                  <th>Catatan</th>
                </tr>
              </thead>
              <tbody>
                @foreach($tugas->pengumpulan as $pengumpulan)
                  <tr>
                    <td>{{ $pengumpulan->siswa->nama }}</td>
                    <td>{{ \Illuminate\Support\Str::limit($pengumpulan->jawaban, 100) }}</td>
                    <td>
                      @if($pengumpulan->file)
                        <a href="{{ asset('storage/' . $pengumpulan->file) }}" target="_blank" class="btn btn-info btn-sm">
                          <i class="fas fa-file"></i> Lihat
                        </a>
                      @else
                        -
                      @endif
                    </td>
                    <td>{{ $pengumpulan->nilai ?? '-' }}</td>
                    <td>{{ $pengumpulan->catatan ?? '-' }}</td>
                  </tr>
                @endforeach
              </tbody>
            </table>
          </div>
        @else
          <p class="text-muted">Belum ada penilaian untuk tugas ini.</p>
        @endif
      </div>
    </div>
    </div>
  
  </div>
</section>
@endsection
