@extends('guru.layouts.app')

@section('title', 'Hasil Ujian')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Hasil Ujian</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Hasil Ujian</div>
    </div>
  </div>

  <div class="section-body">

    {{-- Filter Kelas --}}
    <form method="GET" action="{{ route('guru.ujian.hasil.index') }}" class="form-inline mb-3">
      <div class="form-group mr-2">
        <select name="kelas_id" class="form-control">
          <option value="">-- Semua Kelas --</option>
          @foreach ($daftarKelas as $kelas)
            <option value="{{ $kelas->id }}" {{ request('kelas_id') == $kelas->id ? 'selected' : '' }}>
              {{ $kelas->nama_kelas }} {{ $kelas->tingkat }}
            </option>
          @endforeach
        </select>
      </div>
      <button type="submit" class="btn btn-primary">Filter</button>
    </form>

    <div class="card">
      <div class="card-header d-flex justify-content-between align-items-center">
        <h4 class="mb-0">Daftar Hasil Ujian</h4>
        <a href="{{ route('guru.ujian.grafik') }}?kelas_id={{ request('kelas_id') }}" class="btn btn-success btn-sm">
  <i class="fas fa-chart-bar"></i> Lihat Grafik
</a>
       
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table class="table table-bordered table-striped">
            <thead>
              <tr>
                <th>Judul Ujian</th>
                <th>Jumlah Siswa Mengerjakan</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              @forelse($ujians as $ujian)
              <tr>
                <td>{{ $ujian->judul }}</td>
                <td>{{ $ujian->hasil_ujian_count }}</td>
                <td>
                  <a href="{{ route('guru.ujian.hasil', $ujian->id) }}?kelas_id={{ request('kelas_id') }}" class="btn btn-sm btn-primary">
                    <i class="fas fa-eye"></i> Lihat Detail
                  </a>
                </td>
              </tr>
              @empty
              <tr>
                <td colspan="3" class="text-center text-muted">Belum ada data ujian.</td>
              </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
