@extends('guru.layouts.app')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Hasil Ujian</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item active">Hasil Ujian</div>
    </div>
  </div>
  <div class="section-body">
<div class="card">
    <div class="card-header">
        <h4>Hasil Ujian: {{ $ujian->judul }}</h4>
    </div>

    <div class="card-body">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Nama Siswa</th>
                    <th>Kelas</th>
                    <th>Nilai PG</th>
                    <th>Nilai Essay</th>
                    <th>Nilai Total</th>
                    <th>Waktu Pengerjaan</th>
                    <th>Aksi</th>  <!-- Tambah kolom aksi -->
                </tr>
            </thead>
            <tbody>
                @forelse ($ujian->hasilUjian as $hasil)
                    <tr>
                        <td>{{ $hasil->siswa->nama }}</td>
                        <td>{{ $hasil->siswa->kelas->nama_kelas ?? '-' }}{{ $hasil->siswa->kelas->tingkat ?? '-' }}</td>
                        <td>{{ $hasil->nilai_pg ?? '-' }}</td>
                        <td>{{ $hasil->nilai_essay ?? '-' }}</td>
                        <td>
                            @php
                                $total = ($hasil->nilai_pg ?? 0) + ($hasil->nilai_essay ?? 0);
                            @endphp
                            {{ $total }}
                        </td>
                        <td>{{ $hasil->created_at->format('d M Y H:i') }}</td>
                        <td>
                            <a href="{{ route('guru.nilai_essay.edit', $hasil->id) }}" 
                               class="btn btn-sm btn-primary" title="Edit Nilai Essay">
                                <i class="fas fa-edit"></i> Nilai Essay
                            </a>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="7" class="text-center">Belum ada siswa yang mengerjakan ujian ini.</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
    </div>
</div>
</div>
 </div>
  </div>
</section>
@endsection
