@extends('guru.layouts.app')

@section('page_title', 'Daftar Ujian')
@section('page_description', 'Kelola ujian pembelajaran Anda di sini.')

@section('content')
  <section class="section">
    <div class="section-header">
      <h1>Daftar Ujian</h1>
      <div class="section-header-button">
        <a href="{{ route('guru.ujian.create') }}" class="btn btn-primary">
          + Tambah Ujian
        </a>
      </div>
    </div>

    <div class="section-body">
      <div class="row">
        @forelse($ujians as $ujian)
          <div class="col-12 col-md-6 col-lg-4">
            <div class="card">
              <div class="card-header d-flex justify-content-between align-items-center">
                <h4 class="mb-0">{{ $ujian->judul }}</h4>
                <div class="btn-group" role="group" aria-label="Aksi Ujian">
                  <a href="{{ route('guru.ujian.edit', $ujian->id) }}" class="btn btn-warning btn-sm" title="Edit">
                    <i class="fas fa-edit"></i>
                  </a>
                  <form action="{{ route('guru.ujian.destroy', $ujian->id) }}" method="POST" onsubmit="return confirm('Yakin ingin menghapus ujian ini?')" class="d-inline">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger btn-sm" title="Hapus">
                      <i class="fas fa-trash"></i>
                    </button>
                  </form>
                </div>
              </div>

              <div class="card-body">
                <p>
                  <a href="{{ route('guru.ujian.preview', $ujian->id) }}" class="text-primary font-weight-bold">
                    Preview Ujian
                  </a>
                </p>

                <p>
                  <form action="{{ route('guru.ujian.updateStatus', $ujian->id) }}" method="POST" class="d-inline">
                    @csrf
                    @method('PATCH')
                    <button type="submit" class="btn btn-sm btn-outline-primary">
                      {{ $ujian->terbit ? 'Batalkan Terbit' : 'Terbitkan' }}
                    </button>
                  </form>
                </p>

                <p>
                  <a href="{{ route('guru.ujian.hasil', $ujian->id) }}" class="btn btn-sm btn-info">
                    Lihat Hasil
                  </a>
                  <a href="{{ route('guru.ujian.detail', $ujian->id) }}" class="btn btn-sm btn-secondary">
                    Lihat Detail
                  </a>
                </p>
              </div>
            </div>
          </div>
        @empty
          <div class="col-12">
            <div class="alert alert-info text-center">
              Belum ada ujian yang ditambahkan.
            </div>
          </div>
        @endforelse
      </div>
    </div>
  </section>
</div>
@endsection
