@extends('guru.layouts.app')

@section('title', 'Edit Nilai Essay')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Edit Nilai Essay</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Nilai Essay</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card mb-4 shadow-sm">
      <div class="card-body">
        <h5>Ujian: <strong>{{ $hasil->ujian->judul }}</strong></h5>
        <p>Siswa: <strong>{{ $hasil->siswa->nama }}</strong></p>
        <p>Nilai PG: <strong>{{ $hasil->nilai_pg }}</strong></p>
      </div>
    </div>

    @if(session('success'))
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    @endif

    <div class="card">
      <div class="card-body">
        <form action="{{ route('guru.nilai_essay.update', $hasil->id) }}" method="POST">
          @csrf
          @method('PUT')

          <div class="form-group">
            <label for="nilai_essay">Nilai Essay</label>
            <input 
              type="number" 
              name="nilai_essay" 
              id="nilai_essay" 
              class="form-control @error('nilai_essay') is-invalid @enderror" 
              value="{{ old('nilai_essay', $hasil->nilai_essay) }}" 
              min="0" max="100" 
              required
              aria-describedby="nilaiEssayHelp"
            >
            <small id="nilaiEssayHelp" class="form-text text-muted">Masukkan nilai essay dari 0 sampai 100.</small>
            @error('nilai_essay')
              <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>

          <button type="submit" class="btn btn-primary">Simpan</button>
          <a href="{{ route('guru.ujian.hasil', $hasil->ujian_id) }}" class="btn btn-secondary ml-2">Batal</a>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
