@extends('siswa.layouts.app')

@section('title', 'Hasil Pilihan Mapel')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Hasil Pilihan Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active">
        <a href="{{ route('siswa.dashboard') }}">Dashboard</a>
      </div>
      <div class="breadcrumb-item">Hasil Angket</div>
    </div>
  </div> {{-- Penutup section-header --}}

  <div class="section-body">

    {{-- Paket Final --}}
    @if ($paketFinal)
    <div class="card mb-4 shadow-sm">
      <div class="card-header">
        <h4 class="mb-0"><i class="fas fa-award mr-1 text-warning"></i> Pilihan Final</h4>
      </div>
      <div class="card-body">
        <p><strong>Nama Paket:</strong> {{ $paketFinal->nama_paket }}</p>
        <p><strong>Kuota:</strong> {{ $paketFinal->kuota }}</p>
        <p><strong>Mapel:</strong></p>
        <ul class="list-group list-group-flush">
          @forelse($paketFinal->mapels as $mapel)
          <li class="list-group-item">{{ $mapel->nama_mapel }}</li>
          @empty
          <li class="list-group-item text-muted">Tidak ada data mata pelajaran.</li>
          @endforelse
        </ul>
      </div>
    </div>
    @else
    <div class="alert alert-warning">
      Anda belum memiliki pilihan final. Silakan hubungi admin atau wali kelas untuk informasi lebih lanjut.
    </div>
    @endif

    {{-- Nilai dan Peringkat --}}
    <div class="card shadow-sm">
      <div class="card-header">
        <h4 class="mb-0"><i class="fas fa-chart-line mr-1 text-primary"></i> Nilai dan Peringkat</h4>
      </div>
      <div class="card-body">
        <p><strong>Total Nilai:</strong> {{ $nilaiSiswa->total_nilai ?? '-' }}</p>
        <p><strong>Peringkat:</strong> {{ $peringkat !== null ? $peringkat + 1 : '-' }}</p>
      </div>
    </div>

  </div>
</section>
@endsection
