@extends('siswa.layouts.app')

@section('page_title', 'Daftar Mata Pelajaran Evaluasi')
@section('page_description', 'Pilih mata pelajaran untuk melihat evaluasi')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Daftar Mata Pelajaran</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Mata Pelajaran</div>
    </div>
  </div>

  <div class="section-body">

    {{-- Menampilkan Tahun Ajaran Aktif --}}
    <div class="alert alert-info d-flex justify-content-between align-items-center">
      <div>
        Anda sedang melihat evaluasi untuk <strong>Tahun Ajaran: {{ $tahunAjaranAktif->tahun }}{{ $tahunAjaranAktif->semester }}</strong>.
      </div>
      <div>
        <form action="{{ route('evaluasi.mapel.pdf') }}" method="GET">
    <button type="submit" class="btn btn-danger btn-sm">
        <i class="fas fa-file-pdf"></i> Download PDF
    </button>
</form>

      </div>
    </div>

    <ul class="list-group">
      @forelse ($mapelList as $mapel)
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <a href="{{ route('siswa.evaluasi.detail', $mapel->id) }}">
            {{ $mapel->nama_mapel }}
          </a>
          <div>
            <small>
              @php
                $rata = $rataNilai[$mapel->id] ?? ['rata_tugas' => null, 'rata_ujian' => null, 'nilai_total' => null];
              @endphp

              <span class="badge badge-{{ $rata['rata_tugas'] !== null ? 'primary' : 'secondary' }} mr-2">
                Rata-rata Tugas: {{ $rata['rata_tugas'] ?? '-' }}
              </span>

              <span class="badge badge-{{ $rata['rata_ujian'] !== null ? 'success' : 'secondary' }} mr-2">
                Rata-rata Ujian: {{ $rata['rata_ujian'] ?? '-' }}
              </span>

              <span class="badge badge-{{ $rata['nilai_total'] !== null ? 'info' : 'secondary' }}">
                Nilai Total: {{ $rata['nilai_total'] ?? '-' }}
              </span>
            </small>
          </div>
        </li>
      @empty
        <li class="list-group-item">Tidak ada mata pelajaran yang ditemukan untuk Anda di tahun ajaran aktif ini.</li>
      @endforelse
    </ul>

    {{-- Nilai Total Keseluruhan --}}
    @if(isset($nilaiTotalKeseluruhan))
      <div class="alert alert-{{ $nilaiTotalKeseluruhan !== null ? 'primary' : 'secondary' }} mt-4">
        @if($nilaiTotalKeseluruhan !== null)
          <strong>Nilai Total Keseluruhan (Rata-rata Semua Mapel):</strong> {{ $nilaiTotalKeseluruhan }}
        @else
          Nilai total keseluruhan belum tersedia untuk tahun ajaran aktif ini.
        @endif
      </div>
    @endif

  </div>
</section>
@endsection
