@extends('siswa.layouts.app')

@section('page_title', 'Nilai Ujian')
@section('page_description', 'Lihat nilai ujian yang sudah Anda kerjakan')

@section('content')
<section class="section">
     <div class="section-header">
    <h1>Nilai Ujian</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Daftar Ujian </div>
    </div>
  </div>
  <div class="section-body">
    <div class="card card-primary">
      <div class="card-body p-3">
        @forelse ($nilaiUjian as $nilai)
          <div class="d-flex justify-content-between align-items-center bg-white rounded px-3 py-2 mb-2 shadow-sm border-start border-4 border-primary">
            <div>{{ $nilai->ujian->judul ?? 'Ujian Tidak Diketahui' }}</div>
            <div class="fw-bold">{{ $nilai->nilai_total }}</div>
          </div>
        @empty
          <div class="alert alert-info">Belum ada nilai ujian.</div>
        @endforelse

        @if($nilaiUjian->count())
        <div class="d-flex justify-content-between align-items-center bg-white rounded px-3 py-2 mt-4 shadow-sm border-start border-4 border-primary">
          <strong>Total Nilai</strong>
          <strong>{{ $totalNilai }}</strong>
        </div>
        @endif
      </div>
    </div>
  </div>
</section>
@endsection
