@extends('siswa.layouts.app')

@section('page_title', 'Nilai Tugas')
@section('page_description', 'Lihat nilai tugas yang sudah Anda kerjakan')

@section('content')
<section class="section">
      <div class="section-header">
    <h1>Nilai Tugas</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Daftar tugas</div>
    </div>
  </div>


  <div class="section-body">
    <div class="card card-primary">
      <div class="card-body p-3">
        @forelse ($nilaiTugas as $nilai)
          <div class="d-flex justify-content-between align-items-center bg-white rounded px-3 py-2 mb-2 shadow-sm border-start border-4 border-primary">
            {{-- Judul tugas --}}
            <div>{{ $nilai->tugas->judul ?? 'Tugas Tidak Diketahui' }}</div>
            {{-- Nilai tugas --}}
            <div class="fw-bold">{{ $nilai->nilai ?? '-' }}</div>
          </div>
        @empty
          <div class="alert alert-info">Belum ada nilai tugas.</div>
        @endforelse

        @if($nilaiTugas->count())
        <div class="d-flex justify-content-between align-items-center bg-white rounded px-3 py-2 mt-4 shadow-sm border-start border-4 border-primary">
          <strong>Total Nilai</strong>
          <strong>{{ $totalNilai ?? '-' }}</strong>
        </div>
        @endif
      </div>
    </div>
  </div>
</section>
@endsection
