@extends('siswa.layouts.app')

@section('title', 'Mata Pelajaran')

@section('content')
<section class="section">
    <div class="section-header">
    <h1>Daftar Mapel</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Daftar pelajaran</div>
    </div>
  </div>


  @if (session('success'))
    <div class="alert alert-success">{{ session('success') }}</div>
  @endif

  <div class="section-body">
    <div class="row">
      @forelse ($mapelTersedia as $item)
        <div class="col-lg-4 col-md-6 mb-4">
          <div class="card card-primary shadow-sm h-100">
            <div class="card-body d-flex flex-column">
              <div class="mb-3">
                <i class="fas fa-book fa-2x text-primary"></i>
              </div>
              <h5 class="card-title">{{ $item->nama_mapel }}</h5>
              <p class="card-text flex-grow-1">
                Materi pembelajaran tersedia untuk mata pelajaran ini.
              </p>
              <a href="{{ route('siswa.materi.index', ['mapel_id' => $item->id]) }}" class="btn btn-primary mt-auto">
                Lihat Materi <i class="fas fa-arrow-right ms-1"></i>
              </a>
            </div>
          </div>
        </div>
      @empty
        <div class="col-12 text-center">
          <div class="alert alert-info">
            Belum ada mata pelajaran yang tersedia.
          </div>
        </div>
      @endforelse
    </div>
  </div>
</section>
@endsection
