@extends('siswa.layouts.app')

@section('content')
<section class="section">
      <div class="section-header">
    <h1> Edit Profil Siswa</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active">
        <a href="{{ route('siswa.dashboard') }}">Dashboard</a>
      </div>
      <div class="breadcrumb-item"> Edit Profil</div>
    </div>
  </div>
<div class="section-body">
    <div class="card shadow-sm">
      <div class="card-body">
  <form method="POST" action="{{ route('siswa.profile.update') }}">
        @csrf
        @method('PUT')

        <div class="form-group">
            <label>Nama</label>
            <input type="text" name="nama" class="form-control" value="{{ old('nama', $siswa->nama) }}" required>
        </div>

        <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" class="form-control" value="{{ old('email', $user->email) }}" required>
        </div>

        <div class="form-group">
            <label>NISN</label>
            <input type="text" name="nisn" class="form-control" value="{{ old('nisn', $siswa->nisn) }}">
        </div>

        <div class="form-group">
            <label>Kelas</label>
            <select name="kelas_id" class="form-control">
                <option value="">-- Pilih Kelas --</option>
                @foreach(\App\Models\Kelas::all() as $kelas)
                    <option value="{{ $kelas->id }}" {{ old('kelas_id', $siswa->kelas_id) == $kelas->id ? 'selected' : '' }}>
                        {{ $kelas->nama_kelas }}
                        {{ $kelas->tingkat}}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="form-group">
            <label>Jenis Kelamin</label>
            <select name="jenis_kelamin" class="form-control" required>
                <option value="L" {{ old('jenis_kelamin', $siswa->jenis_kelamin) == 'L' ? 'selected' : '' }}>Laki-laki</option>
                <option value="P" {{ old('jenis_kelamin', $siswa->jenis_kelamin) == 'P' ? 'selected' : '' }}>Perempuan</option>
            </select>
        </div>

        <div class="form-group">
            <label>Alamat</label>
            <textarea name="alamat" class="form-control">{{ old('alamat', $siswa->alamat) }}</textarea>
        </div>

        <div class="form-group">
            <label>Password Baru (opsional)</label>
            <input type="password" name="password" class="form-control" placeholder="Isi jika ingin mengganti password">
            <small class="form-text text-muted">Kosongkan jika tidak ingin mengubah password.</small>
        </div>

        <button type="submit" class="btn btn-primary">Simpan Perubahan</button>
    </form>
</div>
      </div>
</div>
</div>
</section>
@endsection
