@extends('siswa.layouts.app')

@section('page_title', 'Daftar Ujian')

@section('content')
<section class="section">
        <div class="section-header">
    <h1>Daftar Ujian</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Daftar Ujian</div>
    </div>
  </div>


  <div class="section-body">
    <div class="row">
      @forelse ($ujians as $ujian)
      <div class="col-lg-6 mb-4">
        <div class="card card-primary shadow-sm" data-aos="fade-up" data-aos-delay="100">
          <div class="card-body">
            <h6 class="text-muted mb-1">{{ $ujian->mapel->nama_mapel ?? 'Mata Pelajaran Tidak Diketahui' }}</h6>
            <h4 class="card-title">{{ $ujian->judul }}</h4>
            <p class="card-text">{{ $ujian->deskripsi }}</p>
            <p class="text-muted mb-1">Waktu: <strong>{{ $ujian->waktu }} menit</strong></p>
            <p class="text-muted mb-3">Deadline: 
              <strong>
                {{ \Carbon\Carbon::parse($ujian->deadline)->translatedFormat('d F Y H:i') ?? 'Tidak ditentukan' }}
              </strong>
            </p>
            <a href="{{ route('siswa.ujian.show', $ujian->id) }}" class="btn btn-outline-primary me-2">
              <i class="fas fa-info-circle"></i> Detail
            </a>
            <a href="{{ route('siswa.ujian.kerjakan', $ujian->id) }}" class="btn btn-primary">
              <i class="fas fa-pencil-alt"></i> Kerjakan
            </a>
          </div>
        </div>
      </div>
      @empty
      <div class="col-12 text-center">
        <div class="alert alert-info">
          Belum ada ujian yang tersedia.
        </div>
      </div>
      @endforelse
    </div>
  </div>
</section>
@endsection
