@extends('siswa.layouts.app')

@section('page_title', 'Detail Ujian')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>{{ $ujian->judul }}</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Ujian</div>
    </div>
  </div>

  <div class="section-body" data-aos="fade-up" data-aos-delay="100">
    <div class="card card-primary shadow-sm border-0 p-4">
      <p class="mb-3">{{ $ujian->deskripsi }}</p>
      <p class="text-muted mb-2">Durasi: <strong>{{ $ujian->waktu }} menit</strong></p>

      @if ($deadline)
      <p class="text-muted mb-4">
        Deadline: <strong>{{ \Carbon\Carbon::parse($deadline)->translatedFormat('d F Y H:i') }}</strong>
      </p>
      @endif

      @if ($sudahDikerjakan)
        <a href="{{ route('siswa.ujian.hasil', $ujian->id) }}" class="btn btn-success btn-icon icon-left">
          <i class="bi bi-check-circle"></i> Lihat Hasil
        </a>
      @else
        <a href="{{ route('siswa.ujian.kerjakan', $ujian->id) }}" class="btn btn-primary btn-icon icon-left">
          <i class="bi bi-play-circle"></i> Mulai Ujian
        </a>
      @endif
    </div>
  </div>
</section>
@endsection

